> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-wallet/accounts/getstxaddress.md).

# getStxAddress

Returns the STX address for an account on a given network. Supports both a positional and an options-object call style.

***

### Usage

```ts
import { getStxAddress, generateWallet } from '@stacks/wallet-sdk';

const wallet = await generateWallet({
  secretKey: 'your 24-word seed phrase ...',
  password: 'password',
});

const account = wallet.accounts[0];

// Options object style
const mainnetAddress = getStxAddress({ account, network: 'mainnet' });
// 'SP...'

const testnetAddress = getStxAddress({ account, network: 'testnet' });
// 'ST...'

// Positional style
const address = getStxAddress(account, 'mainnet');
// 'SP...'
```

#### Notes

* Defaults to `'mainnet'` if no network is specified.
* Mainnet addresses start with `SP`, testnet/devnet addresses start with `ST`.
* Uses `getAddressFromPrivateKey` from `@stacks/transactions` internally.

[**Reference Link**](https://github.com/stx-labs/stacks.js/tree/main/packages/wallet-sdk/src/models/account.ts#L31)

***

### Signature

```ts
function getStxAddress(opts: { account: Account } & NetworkParam): string;
function getStxAddress(account: Account, network?: StacksNetworkName | StacksNetwork): string;
```

***

### Returns

`string`

A Stacks address string (e.g. `SP...` or `ST...`).

***

### Parameters

#### Options object style

| Property  | Type                                 | Required | Description                         |
| --------- | ------------------------------------ | -------- | ----------------------------------- |
| `account` | `Account`                            | Yes      | The account to get the address for. |
| `network` | `StacksNetworkName \| StacksNetwork` | No       | The network (default: `'mainnet'`). |

#### Positional style

| Parameter | Type                                 | Required | Description                         |
| --------- | ------------------------------------ | -------- | ----------------------------------- |
| `account` | `Account`                            | Yes      | The account to get the address for. |
| `network` | `StacksNetworkName \| StacksNetwork` | No       | The network (default: `'mainnet'`). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-wallet/accounts/getstxaddress.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
